package com.ningdatech.kqapi.zzsfw.controller;

import com.ningdatech.file.service.FileService;
import com.ningdatech.kqapi.common.exception.BizException;
import com.ningdatech.log.annotation.WebLog;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 * CommonController
 * </p>
 *
 * @author WendyYang
 * @since 13:44 2024/5/28
 */
@Slf4j
@RestController
@RequiredArgsConstructor
@RequestMapping("/api/v1/common")
public class CommonController {

    private final FileService fileService;

    @GetMapping("/anonymous/file/download/{fileId}")
    @WebLog("文件下载（匿名访问）")
    public void fileDown(@PathVariable Long fileId, HttpServletResponse response) {
        try {
            fileService.download(fileId, response);
        } catch (Exception e) {
            log.error("文件下载失败：{}", e.getMessage());
            throw BizException.wrap("读取文件失败");
        }
    }

}
