package com.ningdatech.kqapi.zzsfw.model.vo;

import com.ningdatech.file.entity.vo.result.FileResultVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.util.List;

/**
 * <p>
 * 树结构
 * </p>
 *
 * @author ZPF
 * @since 2023-10-25
 */
@Data
@Builder
@ApiModel(value = "TreeVO", description = "树结构")
public class TreeVO {

    @Tolerate
    public TreeVO() {
        // 无参构造
    }

    @ApiModelProperty("rowId")
    private String id;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("类型")
    private String type;

    private String zoneIcon;

    @ApiModelProperty("链接")
    private String url;

    @ApiModelProperty("链接")
    private Integer sort;

    @ApiModelProperty("事项类型")
    private Integer itemType;

    @ApiModelProperty("事项类型")
    private Integer itemTypeName;

    @ApiModelProperty("服务内容")
    private String serviceContent;

    @ApiModelProperty("办理渠道")
    private Integer handleChannel;

    @ApiModelProperty("服务流程")
    private String serviceProcess;

    @ApiModelProperty("咨询电话")
    private String telephone;

    @ApiModelProperty("子级")
    private List<TreeVO> chilren;

    @ApiModelProperty("特色场景")
    private String specialFeature;

    @ApiModelProperty("特色场景文件信息")
    private List<FileResultVO> specialFeatureFiles;

}
